import React from 'react'
import NationItem from './NationItem';

const NationList = (nations) => {
     return (
        <div>
            <div>
                <h1 style={{textAlign: 'center', fontFamily: 'courier, monospace', background: '#FF652F', borderRadius: '10px'}}>
                    Список существующих наций:
                </h1>
            </div>
            {nations.nationItems.map((nationItem) =>
                <NationItem
                    nationItem={nationItem} 
                    key={nationItem.id}
                />
            )}
        </div>
    );
}

export default NationList
